Loading...
Searching...
No Matches
pcl::poisson::BinaryNode< Real > Class Template Reference

`#include <pcl/surface/3rdparty/poisson4/binary_node.h>`

## Static Public Member Functions

static int | CenterCount (int depth)
static int | CornerCount (int depth)
static int | CumulativeCenterCount (int maxDepth)
static int | CumulativeCornerCount (int maxDepth)
static int | Index (int depth, int offSet)
static int | CenterIndex (int depth, int offSet)
static int | CornerIndex (int depth, int offSet)
static int | CornerIndex (int maxDepth, int depth, int offSet, int forwardCorner)
static Real | CornerIndexPosition (int index, int maxDepth)
static Real | Width (int depth)
static void | CenterAndWidth (int depth, int offset, Real &center, Real &width)
static void | CenterAndWidth (int idx, Real &center, Real &width)
static void | DepthAndOffset (int idx, int &depth, int &offset)

## Detailed Description

template<class Real>
class pcl::poisson::BinaryNode< Real >

Definition at line 39 of file binary_node.h.

## Member Function Documentation

## CenterAndWidth() [1/2]

template<class Real>

void pcl::poisson::BinaryNode< Real >::CenterAndWidth | ( | int | depth,
|  | int | offset,
|  | Real & | center,
|  | Real & | width )

inline static

Definition at line 53 of file binary_node.h.

Referenced by CenterAndWidth(), pcl::poisson::BSplineData< Degree, Real >::set(), pcl::poisson::FunctionData< Degree, Real >::set(), and pcl::poisson::FunctionData< Degree, Real >::setDotTables().

## CenterAndWidth() [2/2]

template<class Real>

void pcl::poisson::BinaryNode< Real >::CenterAndWidth | ( | int | idx,
|  | Real & | center,
|  | Real & | width )

inline static

Definition at line 58 of file binary_node.h.

References CenterAndWidth(), and DepthAndOffset().

## CenterCount()

template<class Real>

int pcl::poisson::BinaryNode< Real >::CenterCount | ( | int | depth | ) |

inline static

Definition at line 42 of file binary_node.h.

Referenced by pcl::poisson::BSplineData< Degree, Real >::set().

## CenterIndex()

template<class Real>

int pcl::poisson::BinaryNode< Real >::CenterIndex | ( | int | depth,
|  | int | offSet )

inline static

Definition at line 47 of file binary_node.h.

Referenced by pcl::poisson::Octree< Degree >::GetSolutionGrid(), pcl::poisson::Octree< Degree >::GetWeightGrid(), and pcl::poisson::BSplineData< Degree, Real >::setDotTables().

## CornerCount()

template<class Real>

int pcl::poisson::BinaryNode< Real >::CornerCount | ( | int | depth | ) |

inline static

Definition at line 43 of file binary_node.h.

Referenced by pcl::poisson::BSplineData< Degree, Real >::set().

## CornerIndex() [1/2]

template<class Real>

int pcl::poisson::BinaryNode< Real >::CornerIndex | ( | int | depth,
|  | int | offSet )

inline static

Definition at line 48 of file binary_node.h.

Referenced by pcl::poisson::VertexData::CenterIndex(), pcl::poisson::VertexData::CenterIndex(), pcl::poisson::OctNode< NodeData, Real >::centerIndex(), pcl::poisson::VertexData::EdgeIndex(), and pcl::poisson::VertexData::FaceIndex().

## CornerIndex() [2/2]

template<class Real>

int pcl::poisson::BinaryNode< Real >::CornerIndex | ( | int | maxDepth,
|  | int | depth,
|  | int | offSet,
|  | int | forwardCorner )

inline static

Definition at line 50 of file binary_node.h.

## CornerIndexPosition()

template<class Real>

Real pcl::poisson::BinaryNode< Real >::CornerIndexPosition | ( | int | index,
|  | int | maxDepth )

inline static

Definition at line 51 of file binary_node.h.

## CumulativeCenterCount()

template<class Real>

int pcl::poisson::BinaryNode< Real >::CumulativeCenterCount | ( | int | maxDepth | ) |

inline static

Definition at line 44 of file binary_node.h.

Referenced by pcl::poisson::BSplineData< Degree, Real >::set(), and pcl::poisson::FunctionData< Degree, Real >::set().

## CumulativeCornerCount()

template<class Real>

int pcl::poisson::BinaryNode< Real >::CumulativeCornerCount | ( | int | maxDepth | ) |

inline static

Definition at line 45 of file binary_node.h.

## DepthAndOffset()

template<class Real>

void pcl::poisson::BinaryNode< Real >::DepthAndOffset | ( | int | idx,
|  | int & | depth,
|  | int & | offset )

inline static

Definition at line 64 of file binary_node.h.

Referenced by CenterAndWidth(), pcl::poisson::BSplineData< Degree, Real >::set(), pcl::poisson::FunctionData< Degree, Real >::set(), pcl::poisson::FunctionData< Degree, Real >::setDotTables(), and pcl::poisson::BSplineData< Degree, Real >::setSampleSpan().

## Index()

template<class Real>

int pcl::poisson::BinaryNode< Real >::Index | ( | int | depth,
|  | int | offSet )

inline static

Definition at line 46 of file binary_node.h.

## Width()

template<class Real>

Real pcl::poisson::BinaryNode< Real >::Width | ( | int | depth | ) |

inline static

Definition at line 52 of file binary_node.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/poisson4/binary_node.h